# Uses of Record Class
com.usatiuk.kleppmanntree.LogEffect

Packages that use LogEffect
Package
Description
com.usatiuk.kleppmanntree

## Uses of LogEffect in com.usatiuk.kleppmanntree

Methods in com.usatiuk.kleppmanntree that return types with arguments of type LogEffect
Modifier and Type
Method
Description
`List<LogEffect<TimestampT,PeerIdT,MetaT,NodeIdT>>`
LogRecord.`effects()`
Returns the value of the `effects` record component.
Constructor parameters in com.usatiuk.kleppmanntree with type arguments of type LogEffect
Modifier
Constructor
Description
``
`LogRecord(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> op, List<LogEffect<TimestampT,PeerIdT,MetaT,NodeIdT>> effects)`
Creates an instance of a `LogRecord` record class.